[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLResCache' (#lcl)

# TBlockResourceCache.AddResource

AddResource - inserts a Block resource into the list, referenced by a handle and a descriptor pointer, and returns the Block Resource Cache descriptor.

## Declaration

Source position: lclrescache.pas line 140

`public function TBlockResourceCache.AddResource(`
`Handle: TLCLHandle;`
`DescPtr: Pointer`
`):TBlockResourceCacheDescriptor;`